package com.tofly.znb.common.exception;

/**
 * 业务逻辑错误异常
 */

public class FeesException extends RuntimeException{

    private FeesErrorCode errorCode;

    public FeesException() {
        super();
    }

    public FeesException(FeesErrorCode errorCode) {
        this.errorCode = errorCode;
    }

    public FeesException(String message, FeesErrorCode errorCode) {
        super(message);
        this.errorCode = errorCode;
    }

    public FeesException(String message, Throwable cause, FeesErrorCode errorCode) {
        super(message, cause);
        this.errorCode = errorCode;
    }

    public FeesException(Throwable cause, FeesErrorCode errorCode) {
        super(cause);
        this.errorCode = errorCode;
    }

    public FeesErrorCode getErrorCode() {
        return errorCode;
    }
}
